=== modified file 'bzrlib/option.py'
--- bzrlib/option.py	2006-12-20 18:31:23 +0000
+++ bzrlib/option.py	2007-01-10 07:28:57 +0000
@@ -112,7 +112,7 @@
 class Option(object):
     """Description of a command line option
     
-    :ivar short_name: If this option has a single-letter name, this is it.
+    :ivar _short_name: If this option has a single-letter name, this is it.
     Otherwise None.
     """
 
@@ -138,13 +138,16 @@
         self.name = name
         self.help = help
         self.type = type
-        self.short_name = short_name
+        self._short_name = short_name
         if type is None:
             assert argname is None
         elif argname is None:
             argname = 'ARG'
         self.argname = argname
 
+    def short_name(self):
+        return self._short_name
+
     def get_negation_name(self):
         if self.name.startswith('no-'):
             return self.name[3:]
@@ -184,7 +187,7 @@
         argname =  self.argname
         if argname is not None:
             argname = argname.upper()
-        yield self.name, self.short_name, argname, self.help
+        yield self.name, self.short_name(), argname, self.help
 
 
 class OptionParser(optparse.OptionParser):
@@ -202,7 +205,7 @@
     parser = OptionParser()
     parser.remove_option('--help')
     for option in options.itervalues():
-        option.add_option(parser, option.short_name)
+        option.add_option(parser, option.short_name())
     return parser
 
 

=== modified file 'bzrlib/tests/test_options.py'
--- bzrlib/tests/test_options.py	2006-12-15 08:36:50 +0000
+++ bzrlib/tests/test_options.py	2007-01-10 07:28:57 +0000
@@ -65,9 +65,9 @@
 
     def test_get_short_name(self):
         file_opt = option.Option.OPTIONS['file']
-        self.assertEquals(file_opt.short_name, 'F')
+        self.assertEquals(file_opt.short_name(), 'F')
         force_opt = option.Option.OPTIONS['force']
-        self.assertEquals(force_opt.short_name, None)
+        self.assertEquals(force_opt.short_name(), None)
 
     def test_allow_dash(self):
         """Test that we can pass a plain '-' as an argument."""

=== modified file 'tools/doc_generate/autodoc_rstx.py'
--- tools/doc_generate/autodoc_rstx.py	2007-01-04 01:33:38 +0000
+++ tools/doc_generate/autodoc_rstx.py	2007-01-10 07:28:57 +0000
@@ -115,7 +115,7 @@
             l = '        --' + option_name
             if option.type is not None:
                 l += ' ' + option.argname.upper()
-            short_name = option.short_name
+            short_name = option.short_name()
             if short_name:
                 assert len(short_name) == 1
                 l += ', -' + short_name

